aboutsummaryrefslogtreecommitdiff
path: root/ci/test_run_all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/test_run_all.sh')
-rwxr-xr-xci/test_run_all.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/ci/test_run_all.sh b/ci/test_run_all.sh
index 93b07aab1e..751a4056df 100755
--- a/ci/test_run_all.sh
+++ b/ci/test_run_all.sh
@@ -10,4 +10,10 @@ set -o errexit; source ./ci/test/00_setup_env.sh
set -o errexit; source ./ci/test/04_install.sh
set -o errexit; source ./ci/test/05_before_script.sh
set -o errexit; source ./ci/test/06_script_a.sh
-set -o errexit; source ./ci/test/06_script_b.sh
+set -o errexit
+CI_EXEC "${BASE_ROOT_DIR}/ci/test/06_script_b.sh"
+
+if [ -z "$DANGER_RUN_CI_ON_HOST" ]; then
+ echo "Stop and remove CI container by ID"
+ docker container kill "${CI_CONTAINER_ID}"
+fi